## EDU.oswego.cs.dl.util.concurrent
Class ConcurrentHashMap.KeyIterator

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.ConcurrentHashMap.HashIterator
          EDU.oswego.cs.dl.util.concurrent.ConcurrentHashMap.KeyIterator

All Implemented Interfaces:
  java.util.Enumeration, java.util.Iterator

Enclosing class:
  ConcurrentHashMap

    protected class ConcurrentHashMap.KeyIterator

extends ConcurrentHashMap.HashIterator

Field Summary

Fields inherited from class EDU.oswego.cs.dl.util.concurrent.ConcurrentHashMap.HashIterator
`currentKey, currentValue, entry, index, lastReturned, tab`

Constructor Summary
`protected` `ConcurrentHashMap.KeyIterator()`

Method Summary
`protected java.lang.Object` `returnValueOfNext()`

Methods inherited from class EDU.oswego.cs.dl.util.concurrent.ConcurrentHashMap.HashIterator
`hasMoreElements, hasNext, next, nextElement, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcurrentHashMap.KeyIterator

    protected ConcurrentHashMap.KeyIterator()

Method Detail

### returnValueOfNext

    protected java.lang.Object returnValueOfNext()

  Overrides:
    `returnValueOfNext` in class `ConcurrentHashMap.HashIterator`